Bug 3177

Summary: Add RSS feeds to community portal
Product: [Websites] maemo.org Website Reporter: Dave Neary <dneary>
Component: GeneralAssignee: Ferenc Szekely <ferenc>
Status: RESOLVED FIXED QA Contact: general <general>
Severity: enhancement    
Priority: High CC: quim.gil
Version: unspecified   
Target Milestone: ---   
Hardware: All   
OS: Linux   
URL: https://maemo.org/community/

Description Dave Neary (reporter) maemo.org 2008-05-19 13:25:53 UTC
To give a better idea of what's happening in the maemo community, we could
include some RSS feeds from mailing lists, forums, bugzilla, Planet maemo and
subversion to the community portal at http://maemo.org/community/
Comment 1 Quim Gil nokia 2008-07-19 17:24:10 UTC
This is a bit vague to make any progress. It would be much better to work on a
proposal as part of http://wiki.maemo.org/Task:Improving_maemo.org

Setting as MEDIUM to propose it in the next Sprint meeting
Comment 2 Ferenc Szekely maemo.org 2008-07-23 00:29:41 UTC
I will open a wiki page and start collecting available RSS feeds. Some of
Dave's proposals are to be done (mailing list, svn), but we already have many
feeds available. I commit to start the page and let's see where we go from
there....
Comment 3 Quim Gil nokia 2008-07-29 22:59:04 UTC
(In reply to comment #2)
> I will open a wiki page and start collecting available RSS feeds. Some of
> Dave's proposals are to be done (mailing list, svn), but we already have many
> feeds available. I commit to start the page and let's see where we go from
> there....

https://wiki.maemo.org/Talk:Task:Improving_maemo.org/community#Where_to_get_dynamic_content_from
Comment 4 Dave Neary (reporter) maemo.org 2008-07-30 20:45:46 UTC
I guess the point was to have one aggregator of information from the community.
This kind of exists with http://maemo.org - Planet Maemo, News pages,
announcements and events in one place.

The other useful sources of information would be streams from the major mailing
lists (showing, say, the last 5 - 10 pails per list - see http://www.linux.ie/
for an example of how the Irish LUG has done this), recently reported bugs (see
errors.gimp.org for one such aggregator for the GIMP), and perhaps new threads
on ITT.
Comment 5 Quim Gil nokia 2008-07-31 13:21:17 UTC
I didn't list news related feeds since the whole News section is just about
this.

Good point with ITt, I have add some candidates to the wiki page.
Comment 6 Quim Gil nokia 2008-11-04 23:44:10 UTC
High priority, as agreed at http://wiki.maemo.org/Maemo.org_Sprints/November_08
meeting.
Comment 7 Ferenc Szekely maemo.org 2008-12-02 16:29:59 UTC
I patched mailman and started to generate RSS feeds for the mailing lists. The
URLs of the feeds should soon be available for aggregators, and we can soon
integrate them to the site as well. I will update this bug report as well as
send mails to the lists with the feed URLs.

The next could be bugzilla, but for that I would appreciate assistance from the
'bugsquad'.
Comment 8 Dave Neary (reporter) maemo.org 2009-04-28 16:42:23 UTC
The new Community, Development and Support pages contain some RSS feeds from
community sources of information.

Closing as FIXED.